<template>
    <div class="main">
      <div
        class="dropzone-container"
        @dragover="dragover"
        @dragleave="dragleave"
        @drop="drop"
      >
        <input
          type="file"
          multiple
          name="file"
          id="fileInput"
          class="hidden-input"
          @change="onChange"
          ref="file"
          accept=".pdf,.jpg,.jpeg,.png"
        />
  
        <label for="fileInput" class="file-label">
          <div v-if="isDragging">Release to drop files here.</div>
          <div v-else>Drop files here or <u>click here</u> to upload.</div>
        </label>
        <div class="preview-container mt-4" v-if="files.length">
        <div v-for="file in files" :key="file.name" class="preview-card">
          <div>
            <img class="preview-img" :src="generateURL(file)" />
            <p>
            {{ file.name }}
            </p>
          </div>
          <div>
            <button
              class="ml-2"
              type="button"
              @click="remove(files.indexOf(file))"
              title="Remove file"
            >
              <b>×</b>
            </button>
          </div>
        </div>
      </div>
      </div>
    
    </div>
  </template>
  
  <script>
  export default {
    data() {
      return {
        isDragging: false,
        files: [],
      };
    },
    methods: {
        uploadFiles() {
        const files = this.files;
        const formData = new FormData();
        files.forEach((file) => {
            formData.append("selectedFiles", file);
        });

        axios({
            method: "POST",
            url: "http://path/to/api/upload-files",
            data: formData,
            headers: {
                "Content-Type": "multipart/form-data",
            },
        });
    },
      generateURL(file) {
          let fileSrc = URL.createObjectURL(file);
          setTimeout(() => {
              URL.revokeObjectURL(fileSrc);
          }, 1000);
          return fileSrc;
      },

      onChange() {
        this.files = [...this.$refs.file.files];
      },
      dragover(e) {
        e.preventDefault();
        this.isDragging = true;
      },
      dragleave() {
        this.isDragging = false;
      },
      drop(e) {
        e.preventDefault();
        this.$refs.file.files = e.dataTransfer.files;
        this.onChange();
        this.isDragging = false;
      },
      remove(i) {
        this.files.splice(i, 1);
      },
    },
  };
  </script>
  <style scoped src="@/assets/dropfile.css"></style>